%if "%{stage1}" != "1"
%define        with_pdf    1
%define        with_glitz  1
%define        with_xcb    1
%define        with_svg    1
%else
%define        with_pdf    1
%define        with_glitz  0
%define        with_xcb    0
%define        with_svg    0
%endif
%define        with_ps     1

%define        pkgname     cairo

Name:          libcairo
Version:       1.15.14
Release:       1mamba
Summary:       Cairo provides anti-aliased vector-based rendering for X
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cairographics.org
Source:        https://www.cairographics.org/snapshots/cairo-%{version}.tar.xz
#Source:        http://cairographics.org/releases/cairo-%{version}.tar.xz
Patch0:        libcairo-1.12.4-expose_snapshot.patch
License:       LGPL, MPL 1.1
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbinutils-devel
BuildRequires: libbzip2-devel
BuildRequires: libEGL-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: liblzo-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
%if %{with_xcb}
BuildRequires: libxcb-devel
%endif
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libbinutils-devel >= 2.31.1-1mamba
BuildRequires: pkgconfig
%if %{with_ps}
BuildRequires: libspectre-devel
%endif
%if %{with_pdf}
BuildRequires: libpoppler-devel
%endif
%if %{with_svg}
BuildRequires: librsvg-devel
%endif
Provides:      %{pkgname} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
#checking for GLITZ_AGL... no
#no
#checking for GLITZ_EGL... no
#no
#checking for GLITZ_GLX... yes
#checking for GLITZ_WGL... no

#cairo (version 1.10.2 [release]) will be compiled with:

#The following surface backends:
#  Image:         yes (always builtin)
#  Recording:     yes (always builtin)
#  Tee:           yes
#  XML:           no (disabled, use --enable-xml to enable)
#  Skia:          no (disabled, use --enable-skia to enable)
#  Xlib:          yes
#  Xlib Xrender:  yes
#  Qt:            no (disabled, use --enable-qt to enable)
#  Quartz:        no (requires CoreGraphics framework)
#  Quartz-image:  no (disabled, use --enable-quartz-image to enable)
#  XCB:           yes
#  Win32:         no (requires a Win32 platform)
#  OS2:           no (disabled, use --enable-os2 to enable)
#  CairoScript:   no (disabled, use --enable-script to enable)
#  PostScript:    yes
#  PDF:           yes
#  SVG:           yes
#  OpenGL:        no (disabled, use --enable-gl to enable)
#  BeOS:          no (disabled, use --enable-beos to enable)
#  DirectFB:      no (disabled, use --enable-directfb to enable)
#  OpenVG:        no (disabled, use --enable-vg to enable)
#  DRM:           no (disabled, use --enable-drm to enable)

#The following font backends:
#  User:          yes (always builtin)
#  FreeType:      yes
#  Fontconfig:    yes
#  Win32:         no (requires a Win32 platform)
#  Quartz:        no (requires CoreGraphics framework)

#The following functions:
#  PNG functions:   yes
#  GLEW functions:  no (not required by any backend)
#  GLX functions:   no (not required by any backend)
#  WGL functions:   no (not required by any backend)
#  EGL functions:   no (not required by any backend)
#  X11-xcb functions: no (disabled, use --enable-xlib-xcb to enable)
#  XCB-drm functions: no (disabled, use --enable-xcb-drm to enable)
#  XCB-shm functions: yes
#  DRM-Xr functions: no (disabled, use --enable-drm-xr to enable)

#The following features and utilities:
#  cairo-trace:                yes
#  cairo-script-interpreter:   yes

#And the following internal features:
#  pthread:       yes
#  gtk-doc:       yes
#  gcov support:  no
#  symbol-lookup: yes
#  test surfaces: no (disabled, use --enable-test-surfaces to enable)
#  ps testing:    yes
#  pdf testing:   yes
#  svg testing:   yes

#--- The tee surface backend feature is still under active development and is
#--- included in this release only as a preview. It does NOT fully work yet
#--- and incompatible changes may yet be made to tee surface backend specific
#--- API.

%description
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, win32, and image buffers.
Experimental backends include OpenGL (through glitz), Quartz, XCB, PostScript and PDF file output.
Cairo is designed to produce consistent output on all output media while taking advantage of display hardware acceleration when available (for example, through the X Render Extension).

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libpixman-devel
Provides:      %{pkgname}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, win32, and image buffers.
Experimental backends include OpenGL (through glitz), Quartz, XCB, PostScript and PDF file output.
Cairo is designed to produce consistent output on all output media while taking advantage of display hardware acceleration when available (for example, through the X Render Extension).

This package contains static libraries and header files need for development.

%package apidocs
Summary:       API documentation for %{name}
Group:         Documentation
Requires:      gtk-doc

%description apidocs
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, win32, and image buffers.
Experimental backends include OpenGL (through glitz), Quartz, XCB, PostScript and PDF file output.
Cairo is designed to produce consistent output on all output media while taking advantage of display hardware acceleration when available (for example, through the X Render Extension).

This package contains the API documentation need for development.

%package tools
Summary:       Development tools for %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, win32, and image buffers.
Experimental backends include OpenGL (through glitz), Quartz, XCB, PostScript and PDF file output.
Cairo is designed to produce consistent output on all output media while taking advantage of display hardware acceleration when available (for example, through the X Render Extension).

This package contains development tools for %{name}.

%prep
%setup -q -n %{pkgname}-%{version}
#%patch0 -p1

%build
%configure \
   --disable-static \
   --enable-shared \
   --enable-gtk-doc \
%if %{with_pdf}
   --enable-pdf \
%else
   --disable-pdf \
%endif
%if %{with_ps}
   --enable-ps \
%else
   --disable-ps \
%endif
%if %{with_glitz}
   --enable-glitz \
%else
   --disable-glitz \
%endif
%if %{with_xcb}
   --enable-xcb \
%else
   --disable-xcb \
%endif
  --enable-xlib \
  --enable-svg \
  --enable-tee \
  --enable-gobject \
  --enable-gl \
  --enable-glx \
  --enable-egl \
  --enable-ft \
  --enable-fc \
  --enable-xcb \
  --enable-xcb-shm=yes

#  --enable-drm

%make -j1

#make check
#   --enable-static \

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
sed -i "s|%{_libdir}/libcairo.la||g" %{_libdir}/*.la 2>/dev/null
sed -i "s|%{_libdir}/libcairo-gobject.la||g" %{_libdir}/*.la 2>/dev/null
:

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/%{name}.so.*
%{_libdir}/libcairo-gobject.so.*
%{_libdir}/libcairo-script-interpreter.so.*
%dir %{_libdir}/cairo
%{_libdir}/cairo/cairo-fdr.la
%{_libdir}/cairo/cairo-fdr.so
#%{_libdir}/cairo/cairo-fdr.so.*
%{_libdir}/cairo/cairo-sphinx.la
%{_libdir}/cairo/cairo-sphinx.so
#%{_libdir}/cairo/cairo-sphinx.so.*
%{_libdir}/cairo/libcairo-trace.la
%{_libdir}/cairo/libcairo-trace.so
#%{_libdir}/cairo/libcairo-trace.so.*
%doc AUTHORS COPYING*

%files devel
%defattr(-, root, root)
%dir %{_includedir}/%{pkgname}
%{_includedir}/%{pkgname}/*.h
%{_libdir}/%{name}.so
%{_libdir}/libcairo-gobject.so
%{_libdir}/libcairo-script-interpreter.so
%{_libdir}/pkgconfig/%{pkgname}*.pc
#%doc ChangeLog NEWS README

%files tools
%defattr(-, root, root)
%{_bindir}/cairo-sphinx
%{_bindir}/cairo-trace

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{pkgname}

%changelog
* Sat Sep 22 2018 Automatic Build System <autodist@mambasoft.it> 1.15.14-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.12-1mamba
- update to 1.15.12

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.12-1mamba
- update to 1.14.12

* Mon Nov 06 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.10-2mamba
- rebuilt by autoport with build requirements: libbinutils-devel>=2.29.1-1mamba

* Sun Jun 18 2017 Automatic Build System <autodist@mambasoft.it> 1.14.10-1mamba
- automatic version update by autodist

* Fri Dec 09 2016 Automatic Build System <autodist@mambasoft.it> 1.14.8-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.6-3mamba
- rebuilt by autoport with build requirements: libbinutils-devel>=2.27-1mamba

* Fri Jan 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.6-2mamba
- rebuilt by autoport with build requirements: libbinutils-devel>=2.26-2mamba

* Thu Dec 10 2015 Automatic Build System <autodist@mambasoft.it> 1.14.6-1mamba
- automatic version update by autodist

* Fri Nov 13 2015 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Sat Aug 01 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.2-2mamba
- rebuilt with binutils 2.25.1

* Fri Mar 13 2015 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.0-2mamba
- rebuilt by autoport with build requirements: libbinutils-devel>=2.25-1mamba

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.16-3mamba
- rebuilt with --enable-xcb-shm=yes to ensure support is enabled event when build in chroot environment

* Fri Dec 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.16-2mamba
- rebuilt with binutils 2.24

* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 1.12.16-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.14-2mamba
- binutils 2.32.2 rebuild

* Mon Feb 11 2013 Automatic Build System <autodist@mambasoft.it> 1.12.14-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 1.12.12-1mamba
- automatic version update by autodist

* Sat Jan 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.10-2mamba
- enable freetype and fontconfig backends
- make sure egl and glx are enabled

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 1.12.10-1mamba
- automatic version update by autodist

* Mon Nov 19 2012 Automatic Build System <autodist@mambasoft.it> 1.12.8-2mamba
- binutils 2.23.1 mass rebuild

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 1.12.8-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 1.12.6-1mamba
- automatic version update by autodist

* Sat Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic version update by autodist
- source edit (next release): added a patch to export mozilla required functions

* Fri Aug 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.2-2mamba
- also cleanup libcario-gobject.la from *.la files

* Sun Aug 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.2-1mamba
- update to 1.12.2

* Wed Nov 30 2011 Automatic Build System <autodist@mambasoft.it> 1.10.2-6mamba
- automatic update by autodist

* Mon Nov 28 2011 Automatic Build System <autodist@mambasoft.it> 1.10.2-5mamba
- automatic update by autodist

* Tue Oct 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.2-4mamba
- move ChangeLog and other docs to devel package

* Tue Jul 19 2011 Automatic Build System <autodist@mambasoft.it> 1.10.2-3mamba
- automatic update by autodist

* Fri Feb 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.2-2mamba
- enabled svg support and drm and gl backends

* Wed Jan 26 2011 gil <puntogil@libero.it> 1.10.2-1mamba
- update to 1.10.2
- add enable-tee require by mozilla packages

* Sun Dec 26 2010 Automatic Build System <autodist@mambasoft.it> 1.10.0-2mamba
- automatic update by autodist

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.0-1mamba
- update to 1.10.0

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.10-3mamba
- rebuilt with libpng 1.4

* Sat Jun 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.10-2mamba
- rebuilt to add pkgconfig provides

* Mon Feb 22 2010 Automatic Build System <autodist@mambasoft.it> 1.8.10-1mamba
- automatic update by autodist

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 1.8.8-1mamba
- automatic update by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 1.8.6-2mamba
- automatic rebuild by autodist

* Sat Feb 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.6-1mamba
- automatic update by autodist

* Mon Dec 01 2008 gil <puntogil@libero.it> 1.8.4-1mamba
- update to 1.8.4

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.4-2mamba
- added requirements to libcairo-devel

* Mon May 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.4-1mamba
- update to 1.6.4

* Sat Jun 30 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.4.10-1mamba
- update to 1.4.10
- enabled XCB surface backend

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 1.4.0-1mamba
- update to version 1.4.0

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.6-2qilnx
- new subpackage apidocs with API documentation

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.6-1qilnx
- update to version 1.2.6 by autospec
- own %{_includedir}/cairo
- dropped patch against CVE-2006-0528 (merged upstream)
- updated Xorg build requirements
- enabled ps and pdf surface backends

* Wed Mar 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.2-2qilnx
- security update for CVE-2006-0528

* Thu Oct 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1qilnx
- update to version 1.0.2 by autospec

* Thu Sep 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.0-1qilnx
- update to version 1.0.0 by autospec

* Tue Jun 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.5.1-3qilnx
- added missing %%post, %%postun scriptlets
- added basic documentation
- moved gtk documentation to the devel poackage
- fixed license and group

* Wed Jun 22 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.5.1-2qilnx
- rebuild and moved from devel-contrib repository to devel repository

* Wed Jun 22 2005 Matteo Bernasconi <voyagernm@virgilio.it> - 0.5.1-1qilnx
- first build
